kind: pipeline
type: docker
name: blazor

trigger:
  event:
	- push

steps:
  - name: build
	image: mcr.microsoft.com/dotnet/sdk:6.0
	commands:
	  - cd ../
	  - dotnet restore myBlazorApp.sln
	  - dotnet build myBlazorApp.sln -c Release --no-restore
	  

  - name: tests
	image: mcr.microsoft.com/dotnet/sdk:6.0
	commands:
	  - cd ../
	  - dotnet restore myBlazorApp.sln
	  - dotnet test myBlazorApp.sln --no-restore

